net.sf.jasperreports.extensions

## Class ListExtensionsRegistry

- java.lang.Object
- - net.sf.jasperreports.extensions.ListExtensionsRegistry

- All Implemented Interfaces:
    ExtensionsRegistry

      public class ListExtensionsRegistry
      extends java.lang.Object
      implements ExtensionsRegistry

  An extension registry that contains several lists of extensions.
  Version:
    $Id: ListExtensionsRegistry.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ListExtensionsRegistry()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `<T> ListExtensionsRegistry` | `add(java.lang.Class<T> type, T extension)` Adds an extension.
    `<T> java.util.List<T>` | `getExtensions(java.lang.Class<T> extensionType)` Returns a list of extension objects for a specific extension type.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ListExtensionsRegistry

          public ListExtensionsRegistry()

  - ### Method Detail

    - #### add

          public <T> ListExtensionsRegistry add(java.lang.Class<T> type,
                                       T extension)

      Adds an extension.
      Parameters:
        `type` - the extension type
        `extension` - the extension object
      Returns:
        this object

    - #### getExtensions

          public <T> java.util.List<T> getExtensions(java.lang.Class<T> extensionType)

      Description copied from interface: `ExtensionsRegistry`
      Returns a list of extension objects for a specific extension type.
      Specified by:
        `getExtensions` in interface `ExtensionsRegistry`
      Type Parameters:
        `T` - generic extension type
      Parameters:
        `extensionType` - the extension type
      Returns:
        a list of extension objects

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com